"use strict";
/*
 * Copyright 2018 Palantir Technologies, Inc. All rights reserved.
 *
 * Licensed under the terms of the LICENSE file distributed with this project.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var dateUtils_1 = require("./common/dateUtils");
function getFormattedDateString(date, props, ignoreRange) {
    if (ignoreRange === void 0) { ignoreRange = false; }
    if (date == null) {
        return "";
    }
    else if (!dateUtils_1.isDateValid(date)) {
        return props.invalidDateMessage;
    }
    else if (ignoreRange || dateUtils_1.isDayInRange(date, [props.minDate, props.maxDate])) {
        return props.formatDate(date, props.locale);
    }
    else {
        return props.outOfRangeMessage;
    }
}
exports.getFormattedDateString = getFormattedDateString;
//# sourceMappingURL=dateFormat.js.map