/// <reference types="react" />
import React from "react";
import { DateRange } from "./common/dateUtils";
export interface IDateRangeShortcut {
    /** Shortcut label that appears in the list. */
    label: string;
    /**
     * Date range represented by this shortcut. Note that time components of a
     * shortcut are ignored by default; set `includeTime: true` to respect them.
     */
    dateRange: DateRange;
    /**
     * Set this prop to `true` to allow this shortcut to change the selected
     * times as well as the dates. By default, time components of a shortcut are
     * ignored; clicking a shortcut takes the date components of the `dateRange`
     * and combines them with the currently selected time.
     * @default false
     */
    includeTime?: boolean;
}
export interface IShortcutsProps {
    allowSingleDayRange: boolean;
    minDate: Date;
    maxDate: Date;
    shortcuts: IDateRangeShortcut[] | true;
    onShortcutClick: (shortcut: IDateRangeShortcut) => void;
}
export declare class Shortcuts extends React.PureComponent<IShortcutsProps> {
    render(): JSX.Element;
    private getShorcutClickHandler(shortcut);
    private isShortcutInRange(shortcutDateRange);
}
