/*
 * Copyright 2018 Palantir Technologies, Inc. All rights reserved.
 *
 * Licensed under the terms of the LICENSE file distributed with this project.
 */
import { Button } from "@xrc-inc/blueprintjs-core";
import * as React from "react";
import classNames from "classnames";
import * as Classes from "./common/classes";
import { areSameMonth } from "./common/dateUtils";
export class DatePickerNavbar extends React.PureComponent {
    constructor() {
        super(...arguments);
        this.handleNextClick = () => this.props.onNextClick();
        this.handlePreviousClick = () => this.props.onPreviousClick();
    }
    render() {
        const { classNames: classes, month, maxDate, minDate } = this.props;
        return (React.createElement("div", { className: classNames(Classes.DATEPICKER_NAVBAR, classes.navBar) },
            this.props.hideLeftNavButton || (React.createElement(Button, { className: classes.navButtonPrev, disabled: areSameMonth(month, minDate), icon: "chevron-left", minimal: true, onClick: this.handlePreviousClick })),
            this.props.hideRightNavButton || (React.createElement(Button, { className: classes.navButtonNext, disabled: areSameMonth(month, maxDate), icon: "chevron-right", minimal: true, onClick: this.handleNextClick }))));
    }
}
//# sourceMappingURL=datePickerNavbar.js.map